.heading-42 {
    font-family: "EB Garamond", serif;
    position: relative;
    color: #1f2937;
    font-size:40px;
}

.heading-42::before {
    content: attr(data-text-heading);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #6366f1;
    overflow: hidden;
    animation: liquid 6s infinite;
}

@keyframes liquid {
    0%, 100% {
        height: 0%;
    }
    50% {
        height: 100%;
    }
}